# Zuschlagsregel aktualisieren

`PUT https://{tenant}.stamp.eu/rest/surcharge_rules/{surchargeRule}`

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `surchargeRule` | string | ja | The surcharge rule ID |

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `name` | string | ja |
| `compensation_type_id` | string | ja |
| `time_from` | string | ja |
| `time_to` | string | ja |
| `applies_on_holidays` | boolean | nein |
| `rate_type` | `0`, `1` | ja |
| `rate_value` | number | ja |
| `is_active` | boolean | nein |
| `tax_free` | boolean | nein |
| `tax_free_max_percent` | number \| null | nein |
| `only_beyond_planned` | boolean | nein |
| `non_cumulative` | boolean | nein |
| `priority` | integer | nein |
| `weekdays` | integer[] \| null | nein |

## Antworten

### 200: `SurchargeRuleResource`

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object | ja |
| `data.id` | string | ja |
| `data.name` | string | ja |
| `data.compensation_type_id` | string | ja |
| `data.compensation_type` | object | nein |
| `data.compensation_type.id` | string | ja |
| `data.compensation_type.name` | string | ja |
| `data.time_from` | string | ja |
| `data.time_to` | string | ja |
| `data.weekdays` | string | ja |
| `data.applies_on_holidays` | string | ja |
| `data.rate_type` | string | ja |
| `data.rate_value` | number | ja |
| `data.is_active` | string | ja |
| `data.tax_free` | string | ja |
| `data.tax_free_max_percent` | number \| null | ja |
| `data.only_beyond_planned` | string | ja |
| `data.non_cumulative` | string | ja |
| `data.priority` | string | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
